/*
 * Name:     CDocumentObserver.h
 *
 *
 * Class:    CDocumentObserver
 * Impl:     CDocumentObserver.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CDOCUMENTOBSERVER_H_
#define CDOCUMENTOBSERVER_H_

class CDocument;

/*
 * Class:    CDocumentObserver
 * 
 */
class CDocumentObserver
{
public:
	CDocumentObserver(CDocument *document);
	virtual ~CDocumentObserver();

	// This function is called to update any observers
	virtual void UpdateObserver() = 0;

	CDocument *GetDocument() {return mDocument;}

private:
	CDocumentObserver();
	CDocument *mDocument;
};

#endif /* CDOCUMENTOBSERVER_H_ */
