/*
 * Name:     CDocumentFactory.h
 *
 *
 * Class:    CDocumentFactory
 * Impl:     CDocumentFactory.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CDOCUMENTFACTORY_H_
#define CDOCUMENTFACTORY_H_

#include "../CDocument.h"

/*
 * Class:    CDocumentFactory
 * 
 */
class CDocumentFactory
{
public:
	CDocumentFactory();
	virtual ~CDocumentFactory();

	CDocument* Create();
};

#endif /* CDOCUMENTFACTORY_H_ */
