/*
 * Name:     CParticle.h
 *
 *
 * Class:    CParticle
 * Impl:     CParticle.cpp
 * Created : Apr 4, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CPARTICLE_H_
#define CPARTICLE_H_

#include "../wx/prec.h"

/*
 * Class:    CParticle
 * 
 */
class CParticle
{
public:
	CParticle(int framerate);
	virtual ~CParticle();

	virtual void Draw(wxDC *dc) {;}
	void Update();
	void Reset();
	double GetHeight() const {return mPosition.y;}

protected:
	wxRealPoint mPosition;
	wxRealPoint mVelocity;
	bool mSway;
	double mWeight;
};

#endif /* CPARTICLE_H_ */
