/*
 * Name:     CSingleLinkedList.h
 *
 *
 * Class:    CSingleLinkedList
 * Impl:     CSingleLinkedList.cpp
 * Created : Apr 4, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CSINGLELINKEDLIST_H_
#define CSINGLELINKEDLIST_H_

#include "CParticleSnowflake.h"

/*
 * Class:    CSingleLinkedList
 * 
 */
class CSingleLinkedList
{
public:
	CSingleLinkedList();
	virtual ~CSingleLinkedList();

	void AddParticle(CParticle* p);
	CParticle* RemoveParticle();

protected:
	struct SLLNode {
		SLLNode* mNext;
		CParticle* mParticle;
	};
	SLLNode* begin_ptr;
};

#endif /* CSINGLELINKEDLIST_H_ */
