/*
 * Name:     CActorFactory.h
 *
 *
 * Class:    CActorFactory
 * Impl:     CActorFactory.cpp
 * Created : Feb 26, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CACTORFACTORY_H_
#define CACTORFACTORY_H_

#include "../CActor.h"

/*
 * Class:    CActorFactory
 * 
 */
class CActorFactory
{
public:

	enum{None, Harold, DanishCousin};

	CActorFactory();
	virtual ~CActorFactory();

	virtual CActor* Create() = 0;
};

#endif /* CACTORFACTORY_H_ */
