/*
 * Name:     CParticlePool.h
 *
 *
 * Class:    CParticlePool
 * Impl:     CParticlePool.cpp
 * Created : Apr 4, 2010
 * Author :  Kenji Aono
 */

#pragma once
#ifndef CPARTICLEPOOL_H_
#define CPARTICLEPOOL_H_

#include "CSingleLinkedList.h"
#include "CParticle.h"

/*
 * Class:    CParticlePool
 * 
 */
class CParticlePool : public CSingleLinkedList
{
public:
	CParticlePool();
	virtual ~CParticlePool();

	CParticle *GetParticle();
	void AppendParticle(CParticle* p);
	void UpdatePosition(CParticlePool* target);
	void Clear(CParticlePool* target);
	void Empty();
	void DrawParticles(wxDC *dc);
	int Size();
};

#endif /* CPARTICLEPOOL_H_ */
